%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate tinyvec

Name:           rust-tinyvec
Version:        1.6.0
Release:    1%{?dist}
Summary:        100% safe vec-like data structures

License:        Zlib OR Apache-2.0 OR MIT
URL:            https://crates.io/crates/tinyvec
Source0:         %{crates_source}
Patch:          tinyvec-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
`tinyvec` provides 100% safe vec-like data structures.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE.md
%license %{crate_instdir}/LICENSE-MIT.md
%license %{crate_instdir}/LICENSE-ZLIB.md
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arbitrary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary-devel %{_description}

This package contains library source intended for building other packages which
use the "arbitrary" feature of the "%{crate}" crate.

%files       -n %{name}+arbitrary-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+experimental_write_impl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental_write_impl-devel %{_description}

This package contains library source intended for building other packages which
use the "experimental_write_impl" feature of the "%{crate}" crate.

%files       -n %{name}+experimental_write_impl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+grab_spare_slice-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+grab_spare_slice-devel %{_description}

This package contains library source intended for building other packages which
use the "grab_spare_slice" feature of the "%{crate}" crate.

%files       -n %{name}+grab_spare_slice-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly_slice_partition_dedup-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly_slice_partition_dedup-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly_slice_partition_dedup" feature of the "%{crate}" crate.

%files       -n %{name}+nightly_slice_partition_dedup-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc_1_40-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc_1_40-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc_1_40" feature of the "%{crate}" crate.

%files       -n %{name}+rustc_1_40-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc_1_55-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc_1_55-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc_1_55" feature of the "%{crate}" crate.

%files       -n %{name}+rustc_1_55-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc_1_57-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc_1_57-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc_1_57" feature of the "%{crate}" crate.

%files       -n %{name}+rustc_1_57-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tinyvec_macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tinyvec_macros-devel %{_description}

This package contains library source intended for building other packages which
use the "tinyvec_macros" feature of the "%{crate}" crate.

%files       -n %{name}+tinyvec_macros-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-1
- initial build
